<?php

namespace App\Entities;

use App\Entities\CommonEntity;

class SNSUserEntity extends CommonEntity
{
    public function __toString(): string
    {
        return "{$this->getPK()}|{$this->getID()}|{$this->getTitle()}";
    }
    public function getTitle(): string
    {
        return $this->attributes['_name'];
    }
    public function setTitle(string $title): void
    {
        $this->attributes['name'] = $title;
    }
    //Common Function

    public function getPK(): int
    {
        return $this->attributes['uid'];
    }
    public function getID(): string
    {
        return $this->attributes['id'];
    }
}
